# TODO
# - move programs to sbindir?
Summary:	chkrootkit - locally checks for signs of a rootkit
Summary(pl.UTF-8):	chkrootkit - narzędzie do lokalnego szukania oznak rootkitów
Name:		chkrootkit
Version:	0.52
Release:	1
License:	AMS (BSD like; look at COPYRIGHT)
Group:		Applications/Networking
Source0:	ftp://ftp.pangeia.com.br/pub/seg/pac/%{name}-%{version}.tar.gz
# Source0-md5:	0c864b41cae9ef9381292b51104b0a04
Source1:	%{name}-check
Source2:	%{name}.sysconfig
Patch0:		%{name}-CC.patch
Patch1:		%{name}-nostrip.patch
Patch2:		%{name}-names.patch
Patch3:		%{name}-wtmp.patch
Patch4:		%{name}-usebash.patch
Patch5:		%{name}-utmpx.patch
URL:		http://www.chkrootkit.org/
BuildRequires:	glibc-static
Requires:	bash
Requires:	binutils
Requires:	mktemp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chkrootkit is a toolkit to locally check for signs of a rootkit.
- chkrootkit: a shell script that checks system binaries for rootkit
  modification. (If you can't trust rpm -Va)
- ifpromisc: checks if the network interface is in promiscuous mode.
  (If you can't trust netstat)
- chklastlog: checks for lastlog deletions.
- chkwtmp: checks for wtmp deletions.
- check_wtmpx: checks for wtmpx deletions. (Solaris only)
- chkproc: checks for signs of LKM trojans. (kernel modules)
- strings: quick and dirty strings replacement.

This package is a little outdated, please use rkhunter or similar for
better results.

%description -l pl.UTF-8
Chkrootkit to zestaw narzędzi do lokalnego sprawdzania oznak użycia
rootkitów.
- chkrootkit: skrypt powłoki sprawdzający binarne pliki systemowe na
  obecność modyfikacji typowych dla rootkitów (jeśli nie można zaufać
  rpm -Va)
- ifpromisc: sprawdza czy interfejs sieciowy jest w trybie promiscuous
  (gdy nie można zaufać netstat)
- chklastlog: sprawdza czy logi nie były kasowane
- chkwtmp: sprawdza kasowanie wtmpx
- check_wtmpx: sprawdza kasowanie w wtmpx deletions (tylko Solaris)
- chkproc: szuka oznak trojanów LKM (moduły jądra)
- strings: szybko i brzydko napisany zamiennik programu strings.

Pakiet ten jest przestarzały, lepiej używać rkhunter lub podobnego.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
CC="%{__cc}"
export CC
%{__make} sense

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/{sysconfig,cron.weekly}}

for x in check_wtmpx chkdirs chklastlog chkproc chkwtmp ifpromisc strings-static chkutmp; do
	install $x $RPM_BUILD_ROOT%{_bindir}/%{name}-$x
done

install chkrootkit $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/cron.weekly
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/sysconfig/chkrootkit

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README README.chklastlog README.chkwtmp
%attr(750,root,root) /etc/cron.weekly/chkrootkit-check
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/chkrootkit
%attr(755,root,root) %{_bindir}/*
%changelog
* Sat Feb 09 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chkrootkit.git;a=log;h=master

* Sat Feb 09 2019 Adam Gołębiowski <adamg@pld-linux.org> a46ed24
- updated to 0.52

* Wed Jan 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 4d045c7
- Remove Patch5-md5 - it's some leftover from previous releases

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> c36d9de
- updated to 0.49

* Wed Jan 02 2008 tiwek <tiwek@pld-linux.org> 9d1710d
- updated names patch

* Wed Jan 02 2008 tiwek <tiwek@pld-linux.org> c7338f1
- up to 0.48

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> ef7cad3
- up to 0.48

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0fbeccf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c100ffb
- converted to UTF-8

* Mon Feb 05 2007 Andrzej Zawadzki <zawadaa@gmail.com> 58f4dd0
- up to 0.47

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 8540c10
- adapterized (sorted %verify flags)

* Wed Nov 30 2005 Elan Ruusamäe <glen@pld-linux.org> 1918901
- 0.46a

* Wed Nov 30 2005 Elan Ruusamäe <glen@pld-linux.org> e5b3f6c
- typo

* Wed Nov 30 2005 Elan Ruusamäe <glen@pld-linux.org> 52f0567
- use mktemp instead of guessable tmpfile
- use wc -l instead of grep (should be faster)

* Thu Oct 27 2005 tiwek <tiwek@pld-linux.org> fdb19b8
- up to 0.46
- STBR

* Wed Feb 23 2005 Jakub Bogusz <qboosh@pld-linux.org> db0d65b
- outdated

* Wed Feb 23 2005 tiwek <tiwek@pld-linux.org> c855298
- up to 0.45

* Wed Nov 10 2004 paladine <paladine@pld-linux.org> 298f813
- cosmetics

* Wed Sep 01 2004 tiwek <tiwek@pld-linux.org> d0a2302
- updated to 0.44

* Sun Jul 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 433feb2
- desc cosmetics, CC fix

* Sun Jul 11 2004 luzik <luzik@pld-linux.org> 517a452
- added info about outdated package to description

